<?php
    include("db/Test.php");
    session_start();
    if(isset($_SESSION["ingreso"]))
    {
        $codcat = $_GET["codcat"];
        
        /*Statement que muestra el listado de produdcto según su categoría*/
        $stmt1 ="SELECT cod_producto, nom_producto, pre_producto, des_producto, m_categoria_cod_categoria FROM  producto WHERE m_categoria_cod_categoria =$codcat";
        
        /*Statemente que muestra el nombre (texto) de la categoría dle producto*/
        $stmt2 = "SELECT nom_categoria FROM m_categoria WHERE cod_categoria=$codcat";
        

        $result=mysqli_query($link,$stmt1);
        $result_cate = mysqli_query($link,$stmt2);


        /*Exclusivo para mostrar sólo categorias*/
        $row_cate = mysqli_fetch_array($result_cate);
        
        

    ?>
      <!DOCTYPE html>
      <html>
      <head>
        <title></title>
        <link rel="stylesheet" type="text/css" href="css/estilo_tabla.css">
        <meta charset="UTF-8">
        <link rel="shortcut icon" href="img/logo_icon.ico">
      </head>
       <body link="blue" vlink="blue" alink="blue">
         
        <div id="wrapper_org">
          <a href="Logout.php"><img class="imagen_close" src="img/cerrar.png" alt="Cerrar"></a> 
          <label style="padding-left:680px;"><a href="Menu.php"><img class="imagen_bandera" src="img/bandera.png" title="Atrás"></a></label>
       
          
        </div>

        
        <div id="wrapper">
            <h1>Producto : <?php echo  $row_cate["nom_categoria"]?> </h1>
             
            <table id="keywords" cellspacing="0" cellpadding="0">
              <thead>
                <tr>
                  <th><span>CÓDIGO</span></th>
                  <th><span>NOMBRE</span></th>
                  <th><span>PRECIO</span></th>
                  <th><span>DESCRIPCIÓN</span></th>
                  <th><span></span></th>

                </tr>
              </thead>
              <tbody>
                
              <?php
                while($row = mysqli_fetch_array($result)){
                  echo"<tr>";
                  echo"<td class='mcl'>". $row["cod_producto"] ."</td>";
                  echo"<td class='mcl'>". $row["nom_producto"] ."</td>";
                  echo"<td class='mcl'>". number_format($row["pre_producto"],2)."</td>";
                  echo"<td class='lalign'>". $row["des_producto"] ."</td>";
                  /*Botones Editar y Borrar*/
                  echo"<td class='mcl'>
                  <a href='Editar.php?codp=". $row["cod_producto"]."'>
                    <img  class='imagen_lapiz' src='img/editar.png'>
                  </a>

                  &nbsp;&nbsp;&nbsp;";

                  ?>
<a href="Eliminar.php?coddel=<?php echo $row["cod_producto"];?>&codcat=<?php echo $row["m_categoria_cod_categoria"]; ?>" 
                    onclick="return confirm('¿Estás seguro de borrar?')">
                  <?php
                  echo"<img  class='imagen_lapiz' src='img/borrar.png'>";
                  echo"</a>";
                  echo"</td>";
                  echo"</tr>";
                }
              ?>
              </tbody>
            </table>
         </div>
     
      <script src="//static.codepen.io/assets/common/stopExecutionOnTimeout-b2a7b3fe212eaa732349046d8416e00a9dec26eb7fd347590fbced3ab38af52e.js"></script>
      <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script> 
      <script src="http://cdnjs.cloudflare.com/ajax/libs/jquery.tablesorter/2.28.14/js/jquery.tablesorter.min.js"></script>
      
      <script>$(function(){
        $('#keywords').tablesorter(); 
      });
      //# sourceURL=pen.js
      </script>






      </body>
      </html>
      <?php
      }
      else
      {
        header("Location:index.html");
      }
?>
